Robotsystem from Robot Group Leipzig: printInternals.h File Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

# printInternals.h File Reference

`#include "inspectable.h"`
`#include "types.h"`

Include dependency graph for printInternals.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | printInternalParameterNames (FILE *f, int sensornumber, int motornumber, Inspectable **inspectables, int len)
| prints the names of the sensor and motor channels and the names of the internal parameters of all inspectable object to the given file (stream) (Headline)
void | printInternalParameters (FILE *f, const sensor *x, int sensornumber, const motor *y, int motornumber, Inspectable **inspectables, int len)
| prints the values of the motors and sensors and the internal parameters of the inspectable objects to a file or stream
void | printNetworkDescription (FILE *f, const string &name, const Inspectable *inspectable)
| prints a network description of the structure given by the inspectable object.

## Function Documentation

void printInternalParameterNames | ( | FILE * | f,
|  | int | sensornumber,
|  | int | motornumber,
|  | Inspectable ** | inspectables,
|  | int | len
| ) |

| prints the names of the sensor and motor channels and the names of the internal parameters of all inspectable object to the given file (stream) (Headline) Definition at line 48 of file printInternals.cpp.

void printInternalParameters | ( | FILE * | f,
|  | const sensor * | x,
|  | int | sensornumber,
|  | const motor * | y,
|  | int | motornumber,
|  | Inspectable ** | inspectables,
|  | int | len
| ) |

| prints the values of the motors and sensors and the internal parameters of the inspectable objects to a file or stream Definition at line 71 of file printInternals.cpp.

void printNetworkDescription | ( | FILE * | f,
|  | const string & | name,
|  | const Inspectable * | inspectable
| ) |

| prints a network description of the structure given by the inspectable object. The network description syntax is as follow
        #N network NETWORKNAME
        #N layer LAYERNAME1 RANK?
        #N neuron N0
        #N neuron N1
        #N layer LAYERNAME2 RANK?
        #N neuron K0
        #N neuron K1
        ...
        #N connection C00 N0 K0
        #N connection C10 N0 K1
        #N connection C01 N1 K0
        #N connection C11 N1 K1
        ...
All identifiers are alphanumeric without spaces. Definition at line 9 of file printInternals.cpp.